commit:     5cbcbfe748db02c1fa1111e86b11eb6422251b03
Author:     Rémi Cardona <remi <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 26 08:40:46 2020 +0000
Commit:     Rémi Cardona <remi <AT> gentoo <DOT> org>
CommitDate: Sun Jan 26 08:41:32 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5cbcbfe7

dev-util/gtk-doc: bump to 1.32

Closes: https://bugs.gentoo.org/683900
Package-Manager: Portage-2.3.84, Repoman-2.3.20
Signed-off-by: Rémi Cardona <remi <AT> gentoo.org>

 dev-util/gtk-doc/Manifest            |  1 +
 dev-util/gtk-doc/gtk-doc-1.32.ebuild | 99 ++++++++++++++++++++++++++++++++++++
 2 files changed, 100 insertions(+)

diff --git a/dev-util/gtk-doc/Manifest b/dev-util/gtk-doc/Manifest
index 9ef27dcfc8b..904ebd0393a 100644
--- a/dev-util/gtk-doc/Manifest
+++ b/dev-util/gtk-doc/Manifest
@@ -1 +1,2 @@
 DIST gtk-doc-1.25.tar.xz 673184 BLAKE2B 
2468b70403c0334b52ce1bcb77d2015fe83e0af9fac861464db605de9744ec1c7300e9b9a4b4fe0a3641e016083df063d92e1b74e44771d7a88c66815a396765
 SHA512 
7ac8c73ab9f9ecb6a142bd2232450a6431c3e4fe2372ff40460145b5d0bcffa1953c8cf49436539db86c3a32461cbd4180c714cb19cdd68bfd557816b789339c
+DIST gtk-doc-1.32.tar.xz 762000 BLAKE2B 
e87b0ed5dffd04acc7569171343839a742a874438248546b1b85ca71102d5a546f41b450c5cedf54ecab5b7b6585a4dac36d7600b21b5cce491470a50f82d3b0
 SHA512 
6d28395968c2951f1685570e5778b5add76d1b9cff8fcb8632b200b3ba251602a1ea59b1def84fc28560988b87fc0dbbc6947af88d268db6ff23e9c28aea3b28

diff --git a/dev-util/gtk-doc/gtk-doc-1.32.ebuild 
b/dev-util/gtk-doc/gtk-doc-1.32.ebuild
new file mode 100644
index 00000000000..e1f94f91408
--- /dev/null
+++ b/dev-util/gtk-doc/gtk-doc-1.32.ebuild
@@ -0,0 +1,99 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python3_{6,7} )
+
+inherit eutils elisp-common gnome2 python-single-r1 readme.gentoo-r1
+
+DESCRIPTION="GTK+ Documentation Generator"
+HOMEPAGE="https://www.gtk.org/gtk-doc/";
+
+LICENSE="GPL-2 FDL-1.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris 
~x64-solaris"
+
+IUSE="debug doc emacs"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="
+       ${PYTHON_DEPS}
+       >=dev-libs/glib-2.6:2
+       dev-libs/libxslt
+       >=dev-libs/libxml2-2.3.6:2
+       ~app-text/docbook-xml-dtd-4.3
+       app-text/docbook-xsl-stylesheets
+       ~app-text/docbook-sgml-dtd-3.0
+       >=app-text/docbook-dsssl-stylesheets-1.40
+       emacs? ( >=app-editors/emacs-23.1:* )
+       dev-python/pygments[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}
+       ~dev-util/gtk-doc-am-${PV}
+       dev-util/itstool
+       virtual/pkgconfig
+"
+
+# tests require unpackaged python module "anytree", and require java(fop) or 
tex(dblatex)
+RESTRICT="test"
+
+pkg_setup() {
+       DOC_CONTENTS="gtk-doc does no longer define global key bindings for 
Emacs.
+               You may set your own key bindings for \"gtk-doc-insert\" and
+               \"gtk-doc-insert-section\" in your ~/.emacs file."
+       SITEFILE=61${PN}-gentoo.el
+       python-single-r1_pkg_setup
+}
+
+src_prepare() {
+       # Remove global Emacs keybindings, bug #184588
+       eapply "${FILESDIR}"/${PN}-1.8-emacs-keybindings.patch
+
+       gnome2_src_prepare
+}
+
+src_configure() {
+       gnome2_src_configure \
+               --with-xml-catalog="${EPREFIX}"/etc/xml/catalog \
+               $(use_enable debug)
+}
+
+src_compile() {
+       gnome2_src_compile
+       use emacs && elisp-compile tools/gtk-doc.el
+}
+
+src_install() {
+       gnome2_src_install
+
+       python_fix_shebang "${ED}"/usr/bin/gtkdoc-depscan
+
+       # Don't install this file, it's in gtk-doc-am now
+       rm "${ED}"/usr/share/aclocal/gtk-doc.m4 || die "failed to remove 
gtk-doc.m4"
+
+       if use doc; then
+               docinto doc
+               dodoc doc/*
+               docinto examples
+               dodoc examples/*
+       fi
+
+       if use emacs; then
+               elisp-install ${PN} tools/gtk-doc.el*
+               elisp-site-file-install "${FILESDIR}/${SITEFILE}"
+               readme.gentoo_create_doc
+       fi
+}
+
+pkg_postinst() {
+       gnome2_pkg_postinst
+       if use emacs; then
+               elisp-site-regen
+               readme.gentoo_print_elog
+       fi
+}
+
+pkg_postrm() {
+       gnome2_pkg_postrm
+       use emacs && elisp-site-regen
+}

Reply via email to